org.opencv.bioinspired

## Class TransientAreasSegmentationModule

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.bioinspired.TransientAreasSegmentationModule

-     public class TransientAreasSegmentationModule
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TransientAreasSegmentationModule(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TransientAreasSegmentationModule` | `__fromPtr__(long addr)`
    `void` | `clearAllBuffers()`
    `static TransientAreasSegmentationModule` | `create(Size inputSize)`
    `protected void` | `finalize()`
    `void` | `getSegmentationPicture(Mat transientAreas)`
    `Size` | `getSize()`
    `java.lang.String` | `printSetup()`
    `void` | `run(Mat inputToSegment)`
    `void` | `run(Mat inputToSegment, int channelIndex)`
    `void` | `setup()`
    `void` | `setup(java.lang.String segmentationParameterFile, boolean applyDefaultSetupOnFailure)`
    `void` | `write(java.lang.String fs)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransientAreasSegmentationModule

          protected TransientAreasSegmentationModule(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static TransientAreasSegmentationModule __fromPtr__(long addr)

    - #### create

          public static TransientAreasSegmentationModule create(Size inputSize)

    - #### getSize

          public Size getSize()

    - #### printSetup

          public java.lang.String printSetup()

    - #### clearAllBuffers

          public void clearAllBuffers()

    - #### getSegmentationPicture

          public void getSegmentationPicture(Mat transientAreas)

    - #### run

          public void run(Mat inputToSegment,
                          int channelIndex)

    - #### run

          public void run(Mat inputToSegment)

    - #### setup

          public void setup(java.lang.String segmentationParameterFile,
                            boolean applyDefaultSetupOnFailure)

    - #### setup

          public void setup()

    - #### write

          public void write(java.lang.String fs)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1